import { NgsgClassService } from '../helpers/class/ngsg-class.service';
import { NgsgStoreService } from '../store/ngsg-store.service';
import * as i0 from "@angular/core";
export declare class NgsgSelectionService {
    private classService;
    private ngsgStore;
    private COMMAND_KEY;
    private CONTROL_KEY;
    private selectionChange$;
    constructor(classService: NgsgClassService, ngsgStore: NgsgStoreService);
    private resetSelectedItems;
    private handleSelectionChange;
    private selectionKeyPressed;
    selectElementIfNoSelection(group: string, dragedElement: Element): void;
    updateSelectedDragItem(key: string, item: Element, selected: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgsgSelectionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgsgSelectionService>;
}
